#if !defined(AFX_NETUSERSDIAG_H__2F12B5A1_D4BE_41A4_84C7_5C686333482F__INCLUDED_)
#define AFX_NETUSERSDIAG_H__2F12B5A1_D4BE_41A4_84C7_5C686333482F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// NetUsersDiag.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CNetUsersDiag form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

class deConnection;

class CNetUsersDiag : public CFormView
{
public:
	CNetUsersDiag();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CNetUsersDiag)

// Form Data
public:
	//{{AFX_DATA(CNetUsersDiag)
	enum { IDD = IDD_DIAG_NETUSERS };
	CXListCtrl	m_lstNetUsers;
	//}}AFX_DATA

// Attributes
public:

// Operations
public:

	bool	RemoveConnection( deConnection * pConn );
	bool	AddConnection( deConnection * pConn );
	void	UpdateConnectionInfo( deConnection * pConn );

	static CNetUsersDiag * GetWin( void ) { return m_Singleton; }

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNetUsersDiag)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CNetUsersDiag();
protected:
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CNetUsersDiag)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:

	static CNetUsersDiag * m_Singleton;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NETUSERSDIAG_H__2F12B5A1_D4BE_41A4_84C7_5C686333482F__INCLUDED_)
